# These are external variables, and shouldn't clash with anything else
#  daemonitor
#  daemonitor_BUILT
#

if [ -z ${daemonitor_BUILT} ]
then
    daemonitor="obj/daemonitor"
    EXTRAS="-D_GNU_SOURCE"

    echo "Building application ${daemonitor}..."

    do_cmd source src/daemonitor/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${daemonitor} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -I obj -o "${daemonitor}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    daemonitor_BUILT=1

fi

# kate: replace-trailing-space-save true; space-indent true; tab-width 4;
# vim: syntax=sh:expandtab:ts=4:sw=4
